View Issue Details

IDProjectCategoryView StatusLast Update
0003643ArchFeaturepublic2019-05-09 18:19
Reporteramarao Assigned Toyorik  
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.19Fixed in Version 
Summary0003643: Add' button in Arch section does nothing for an empty selection
DescriptionDouble click on arch. section open a dialog to add and remove object into section. To add objects it expects user to select something and then press 'add'.

It was really, really confusing for me, I thought it was broken, until I found that I need to select some objects beforehand.

My proposal is to add some notification (f.e. popup 'No object was selected to add') or to disable button with tooltip saying that 'Select an object and press add').
Steps To Reproduce1. Create arch. section
2. Double click on it in tree view
3. Click 'add'

Expected behavior:
a) Add is inactive before something was selected
b) or there is a message that 'nothing was added because selection is empty'
Additional InformationI know, it sound as a minor issue for an experienced user, but for a beginner is was a major blocker.
TagsNo tags attached.
FreeCAD Information

Activities

amarao

2018-10-19 13:51

reporter   ~0012072

A discussion thread on the forum: https://forum.freecadweb.org/viewtopic.php?f=3&t=31572

yorik

2018-10-22 18:20

administrator   ~0012083

Indeed, the same problem also exists with other Arch objects, although there the button stays greyed out if no object is selected, which helps.

The best is of course for all these cases to allow the user to pick an object if none is selected when pressing the add button. I'll add that ASAP

Note to self - also, grey out the "remove" button if none is selected in the above list, and pre-select a default category to add to in std arch components

yorik

2019-05-09 18:19

administrator   ~0013095

Fix committed to master branch.

Related Changesets

FreeCAD: master 8b4d6c0e

2019-05-09 11:42:22

yorik

Details Diff
Arch: Better behaviour and tooltips on section plane task panel buttons - fixes 0003643 Affected Issues
0003643
mod - src/Mod/Arch/ArchSectionPlane.py Diff File

Issue History

Date Modified Username Field Change
2018-10-19 13:50 amarao New Issue
2018-10-19 13:51 amarao Note Added: 0012072
2018-10-19 14:15 Kunda1 Assigned To => yorik
2018-10-19 14:15 Kunda1 Status new => assigned
2018-10-19 14:15 Kunda1 Target Version => 0.18
2018-10-22 18:20 yorik Note Added: 0012083
2019-02-15 00:25 yorik Target Version 0.18 => 0.19
2019-05-09 18:19 yorik Changeset attached => FreeCAD master 8b4d6c0e
2019-05-09 18:19 yorik Note Added: 0013095
2019-05-09 18:19 yorik Status assigned => closed
2019-05-09 18:19 yorik Resolution open => fixed